/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect) 
{
   BPoint    pointArray[5];  
   BPolygon  *aPolygon;

//   aPolygon = new BPolygon(); 
   
   pointArray[0].Set(50.0, 200.0);
   pointArray[1].Set(100.0, 100.0);
   pointArray[2].Set(130.0, 100.0);
   pointArray[3].Set(170.0, 40.0);
   pointArray[4].Set(190.0, 200.0);
   
//   aPolygon->AddPoints(pointArray, 5);
//   StrokePolygon(aPolygon);
   
   // or, supply the point information at object creation:
   aPolygon = new BPolygon(pointArray, 5); 
   StrokePolygon(aPolygon);   
}













