/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_RIGHT | B_FOLLOW_BOTTOM, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
// ***** NEW the picture code (three lines) is new

	// Create the view's BPicture object and initialize it to an 
	// empty picture. Recall (see C5) that a BPicture can't be
	// created in the view's constructor.
	// Also, the program ran but I got an error message when I created 
	// the picture by simply using:
	//   fPicture = new BPicture();
	// I'm guessing that when the Draw() routine went to draw there was
	// no picture to draw. So now I create an empty picture, which works
	// fine.
	
	BeginPicture(new BPicture);  
      	;
	fPicture = EndPicture();

    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
	BRect  frame = Bounds();
	
	StrokeRect(frame);
// **** NEW this call is new:
    DrawPicture(fPicture);
}


//  **** NEW  this whole routine is new:
 void MyDrawView::SetViewPicture(int32 pictureNum)
 {
	BRect  aRect;
	int32  i;
				
 	switch (pictureNum) 
 	{
 		case PICTURE_SQUARES:
			BeginPicture(fPicture);  
      			aRect.Set(15.0, 20.0, 140.0, 150.0);
				for (i = 0; i < 30; i++) {
					aRect.InsetBy(2.0, 2.0);
					StrokeRect(aRect);
				}
			fPicture = EndPicture();
			break;

 		case PICTURE_CIRCLES:
			BeginPicture(fPicture);       			
      			aRect.Set(15.0, 20.0, 140.0, 150.0);
				for (i = 0; i < 30; i++) {
					aRect.InsetBy(2.0, 2.0);
					StrokeEllipse(aRect);
				}
			fPicture = EndPicture();
			break;
	}
}










