/*
	MyHelloWorld.cpp
	Dan Parks Sydow
	1999
	
	Based on source code from:
	HelloWorld.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif
#ifndef MY_HELLO_VIEW_H
#include "MyHelloView.h"
#endif
#ifndef MY_HELLO_WORLD_H
#include "MyHelloWorld.h"
#endif

int  main()
{	
	MyHelloApplication  myApplication;

	myApplication.Run();
	
	return(0);
}


MyHelloApplication::MyHelloApplication()
		  		  : BApplication("application/x-vnd.dps-myworld")
{
	MyHelloWindow	*aWindow;
	MyHelloView		*aView;
	BRect			aRect;

	// set up a rectangle and instantiate a new window
	aRect.Set(20, 30, 230, 100);
	aWindow = new MyHelloWindow(aRect);
	
	// set up a rectangle and instantiate a new view
	// view rect should be same size as window rect but with left top at (0, 0)
	aRect.OffsetTo(B_ORIGIN);
	aView = new MyHelloView(aRect, "MyHelloView");
	
	// add view to window
	aWindow->AddChild(aView);
	
	// make window visible
	aWindow->Show();
}
